<div class="row">
    <div class="col-md-12">
        <!-- Logo -->
        <div class="logo text-center">
        </div>
        <div class="text-center forms">
            <form class="form form-horizontal" #targetForm="ngForm" (ngSubmit)="loadToRedshift()">
                <div [class.has-error]="target_id.invalid && target_id.touched">
                    <label>Target Name</label>
                  <select required style="margin-left: 32px; width: 60%;float: left;" name = "target_id" class="form-control"  [(ngModel)]="loader_form.target_id" #target_id = "ngModel">
                        <option value="" selected>Select the Database</option>
                        <option *ngFor="let c of targetList" [ngValue]="c.id">{{c.name}}</option>
                    </select>
                    <a [routerLink]="['/targets/add']" class="btn btn-primary">Add Target</a>
                    <label for="password" class="control-label" *ngIf="target_id.errors && target_id.errors.required && target_id.touched">
                        <i class="fa fa-times-circle-o"></i> Target Name is required
                    </label>
                </div>
                <hr>
                <div class="password" [class.has-error]="table_name.invalid && table_name.touched">
                    <label>Table Name</label>
                    <input class="form-control" name="table_name" required [(ngModel)]="loader_form.table_name" #table_name="ngModel">
                    <label for="password" class="control-label" *ngIf="table_name.errors && table_name.errors.required && table_name.touched">
                        <i class="fa fa-times-circle-o"></i> Table Name is required
                    </label>
                </div>
                <hr>
                <button [ladda]="isLoading" [disabled]="targetForm.invalid" class="btn btn-primary btn-submit" type="submit">Submit</button>
            </form>
        </div>
    </div>
</div>
